{% extends 'base.html.twig' %}

{% block title %}Hello NoteController!{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>




    <div class="container">


        <ul class="nav nav-tabs">


            {% for matiere in app.user.matiere%}
        <li><a data-toggle="tab" href="#{{matiere.id}}">{{matiere}}</a></li>
    {% endfor %}
        </ul>


        <div class="tab-content">
            {% for matiere in app.user.matiere%}

                <div id="{{matiere.id}}" class="tab-pane fade">
                    <div class="example-wrapper">
                    <table class="table table-striped">
                        <thead>
                        <tr>
                            <th>Nom Etudiant</th>
                            <th>NoteCC</th>
                            <th>NoteTP</th>
                            <th>NoteExamen </th>
                            <th>Action </th>
                        </tr>
                        </thead>
                        <tbody>

                        {% for m in matiere.notes%}
                        <tr>
                            <td>
                                <h4>   {{m.Etudiant }}</h4>
                            </td>
                            <td>
                                <h4>   {{m.Notecc }}</h4>
                            </td>
                            <td>
                                <h4>  {{m.Notetp }} </h4>
                            </td>
                            <td>
                                <h4>{{m.Noteexamen }}  </h4>
                            </td>

                            <td> <a href="{{ path ('notes.edit',{ id: m.id}) }}" class="glyphicon glyphicon-pencil" style="margin-left: auto" role="button" ></a></td>
                            <td>  <form method="post" action=" {{path ('notes.delete' ,{ id: m.id}) }}"  style="display: inline-block ; ">

                                    <input type="hidden" name="_method" value="DELETE">
                                    <button class="glyphicon glyphicon-trash"></button>

                                </form></td>
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>


        </div>
                </div>
            {% endfor %}
    </div>


<blockquote>

    <a href="{{ path ('notes.new') }}" class="btn btn-default irs-big-btn" role="button" style="margin-left: 50px">Ajouter nouveau Notes</a>
</blockquote>

</div>

{% endblock %}
